# Placeholder Signs

This is a minimal plugin created for a single purpose: Displaying placeholders from PlaceholderAPI on signs. Note that
this plugin only works for placeholders which do not require a player, as the same text will be displayed to everyone!

How it works: After installing this plugin, whenever a sign is changed to contain a placeholder replaced by
PlaceholderAPI, the location of the sign, and the lines containing placeholders are saved. Those lines are updated at a
set pace by using the saved original lines, and letting PlaceholderAPI replace them. Any color, formatting or RGB color
codes in the original text will be converted each time the sign is updated.

The /editSign command is basically just a command to allow placeholders that won't fit on a sign to be used. As an
additional benefit, formatting, color and RGB color codes are automatically converted whenever the command is used to
change sign text.

Note that when clicking a sign after using /editSign, a SignChangeEvent is triggered. This means that the sign text
won't be changed unless the player passes all world protection checks.

## Commands

| Command   | Arguments                   | Description                                                                                   |
|-----------|-----------------------------|-----------------------------------------------------------------------------------------------|
| /editSign | \<line> \<text> \<text> ... | Sets the text of the sign line (1-4) to the given input. Then right-click the sign to update. |

## Permissions

| Permission                         | Description                                                                                                   |
|------------------------------------|---------------------------------------------------------------------------------------------------------------|
| placeholdersigns.*                 | Gives all permissions.                                                                                        |
| placeholdersigns.edit              | Allows unrestricted use of the /editSign command.                                                             |
| placeholdersigns.edit.use          | Allows use of the /editSign command.                                                                          |
| placeholdersigns.edit.bypass-waxed | Allows use of the /editSign command on a waxed sign.                                                          |
| placeholdersigns.placeholder       | Allows a player to make signs containing placeholders. Without this, placeholders are treated as normal text. |